Subject: Re: bug#78323: Regression in case-insensitive filename completion

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 May 2025 12:39:39 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  Dieter Deyke <[email-masked]>,  Aaron Jensen
>   <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 14 May 2025 18:19:11 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> >> From: Spencer Baugh <[email-masked]>
> >> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
> >>    [email-masked]
> >> Date: Tue, 13 May 2025 12:23:36 -0400
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> >> From: Stefan Monnier <[email-masked]>
> >> >> Cc: Daniel Colascione <[email-masked]>,  [email-masked],
> >> >>   [email-masked]
> >> >> Date: Mon, 12 May 2025 10:42:47 -0400
> >> >> 
> >> >> >> >> With read-file-name-completion-ignore-case true, commit
> >> >> >> >> 509cbe1c35b3dd005a53ac041f9c87ee53b8e115 breaks existing completion
> >> >> >> >> behavior.  Suppose we have file named fooBarQux.  Previously, if I'd
> >> >> >> >> typed "foobar" and TAB while reading a filename, then the completion
> >> >> >> >> would be "fooBarQux".  Now, it completes as "foobarQux", which is wrong
> >> >> >> >> and breaks, among other things, vc.
> >> >> >> > Spencer, could you please look into fixing this regression?
> >> >> >> What do you think of reverting this change while Spencer finds the cause
> >> >> >> of the problem?
> >> >> > I wouldn't mind, but then I don't use these features.  Let's hear
> >> >> > Stefan's opinion first.
> >> >> 
> >> >> I'd first like to hear Spencer's opinion on how quickly he might be able to
> >> >> fix it or if it indeed breaks his assumptions too hard (so we'd need
> >> >> a different approach, in which case we may as well revert the change first).
> >> >
> >> > So, Spencer, the eyes of all the world are upon you.
> >> 
> >> Sorry for the delay, I was away this weekend.  Thanks for your patience.
> >> 
> >> The attached patch should fix the issue; it's what I have installed at
> >> my site.
> >
> > Thanks.
> >
> > Daniel, Dieter, and Aaron, could you please see whether this fixes
> > your problems as well?
> 
> BTW, the patch I posted has the wrong commit message but is otherwise
> correct.  Assuming there's review feedback, I'll correct the commit
> message in the next version.

Please do submit a correct patch, so we could resolve this regression.

Thanks.